# Ambient - a CI engine

See <https://ambient.liw.fi/> for more information.

## Feedback and contributions

The Radicle repository (`rad:zwPaQSTBX8hktn22F6tHAZSFH2Fh`) is my
preferred way to get feedback in the form of issue tickets or patches.
However, the codeberg.org repository
(<https://codeberg.org/ambient/ambient-ci>) is also OK. Or mention me
on the fediverse (`@liw@toot.liw.fi`) or send me email.


## Build and run tests

To build the code and to run the test suite:

~~~
make
~~~

The `Makefile` targets `build` and `test` can be used to do only part
of that.


## Dependencies

You'll need, at least, with package names as they're in Debian:

* [Subplot](https://subplot.tech/) (not packaged in Debian)
* `python`
* `python3-yaml`
* `qemu-utils` (specifically `qemu-img`)
* `ovmf` (UEFI implementation for virtual machines)
* `qemu-system-x86` (specifically `kvm`)
* `rsync`


## Legalese

(See [COPYING.md](COPYING.md) for a copy of the license.)

Copyright 2023  Lars Wirzenius and others

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License as
published by the Free Software Foundation, either version 3 of the
License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Affero General Public License for more details.

You should have received a copy of the GNU Affero General Public License
along with this program.  If not, see <https://www.gnu.org/licenses/>.
